net.snowflake.client.loader

## Enum LoadingError.ErrorProperty

- java.lang.Object
- - java.lang.Enum<LoadingError.ErrorProperty>
  - - net.snowflake.client.loader.LoadingError.ErrorProperty

All Implemented Interfaces:
  Serializable, Comparable<LoadingError.ErrorProperty>

Enclosing class:
  LoadingError

    public static enum LoadingError.ErrorProperty
    extends Enum<LoadingError.ErrorProperty>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BYTE_OFFSET`
`CATEGORY`
`CHARACTER`
`CODE`
`COLUMN_NAME`
`ERROR`
`LINE`
`REJECTED_RECORD`
`ROW_NUMBER`
`ROW_START_LINE`
`SQL_STATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static LoadingError.ErrorProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LoadingError.ErrorProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERROR

    public static final LoadingError.ErrorProperty ERROR

#### LINE

    public static final LoadingError.ErrorProperty LINE

#### CHARACTER

    public static final LoadingError.ErrorProperty CHARACTER

#### BYTE_OFFSET

    public static final LoadingError.ErrorProperty BYTE_OFFSET

#### CATEGORY

    public static final LoadingError.ErrorProperty CATEGORY

#### CODE

    public static final LoadingError.ErrorProperty CODE

#### SQL_STATE

    public static final LoadingError.ErrorProperty SQL_STATE

#### COLUMN_NAME

    public static final LoadingError.ErrorProperty COLUMN_NAME

#### ROW_NUMBER

    public static final LoadingError.ErrorProperty ROW_NUMBER

#### ROW_START_LINE

    public static final LoadingError.ErrorProperty ROW_START_LINE

#### REJECTED_RECORD

    public static final LoadingError.ErrorProperty REJECTED_RECORD

### Method Detail

#### values

    public static LoadingError.ErrorProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LoadingError.ErrorProperty c : LoadingError.ErrorProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LoadingError.ErrorProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null